<?php

use App\Http\Controllers\HyperpayController;
use App\Http\Controllers\UserController;
use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('welcome');
});


Route::get('payment/status', [HyperpayController::class, 'paymentStatus'])->name('payment.status');
Route::get('payment/status-page', [HyperpayController::class, 'paymentStatusPage'])->name('payment.status-page');
Route::get('payment/{checkoutId?}', [HyperpayController::class, 'showPaymentForm'])->name('payment.form');

Route::get('delete-user', [UserController::class, 'showDeleteForm'])->name('user.delete-form');
Route::delete('delete-user', [UserController::class, 'destroy'])->name('user.destroy');
